Customer accounts client
Api for creating, fetching and modifying customers account ids.
Get customer accounts
Get customer accounts by customer number.
path Parameters
customerNumberHeaders
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Get customer accounts › Responses
OK
createdAtWhen the customer account was created. ISO 8601 date format
createdByWho created the customer account.
customerAccountIdCustomer account id string
customerNumberUnique customer number
idCustomer account unique id.
aliasAlias for the customer account
changedAtWhen the customer account was last changed. ISO 8601 date format
changedByWho changed the customer account.
isDefaultTrue if the account is the default account for the customer
Create a new customer account
Create a new customer account for the customer.
path Parameters
customerNumberHeaders
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Create a new customer account › Request Body
accountIdCustomer account id.
aliasCustomer account alias
isDefaultTrue if account is default for customer. Default false.
Create a new customer account › Responses
OK
createdAtWhen the customer account was created. ISO 8601 date format
createdByWho created the customer account.
customerAccountIdCustomer account id string
customerNumberUnique customer number
idCustomer account unique id.
aliasAlias for the customer account
changedAtWhen the customer account was last changed. ISO 8601 date format
changedByWho changed the customer account.
isDefaultTrue if the account is the default account for the customer
Delete a customer account tied to a customer profile
path Parameters
customerNumberCustomer number
accountIdCustomer account id
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Responses
OK
Patch a customer account. Follows the JSON Merge Patch RFC7396 standard.
A JSON merge patch document describes changes to be made to a target JSON document using a syntax that closely mimics the document being modified. Recipients of a merge patch document determine the exact set of changes being requested by comparing the content of the provided patch against the current content of the target document. If the provided merge patch contains members that do not appear within the target, those members are added. If the target does contain the member, the value is replaced. Null values in the merge patch are given special meaning to indicate the removal of existing values in the target.
See 'CustomerAccountPatchRequest' for available fields to patch.
path Parameters
customerNumberCustomer number
accountIdCustomer account id
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Patch a customer account. Follows the JSON Merge Patch RFC7396 standard. › Request Body
aliasCustomer account alias
isDefaultTrue if account is the default account for the customer.
Patch a customer account. Follows the JSON Merge Patch RFC7396 standard. › Responses
OK
createdAtWhen the customer account was created. ISO 8601 date format
createdByWho created the customer account.
customerAccountIdCustomer account id string
customerNumberUnique customer number
idCustomer account unique id.
aliasAlias for the customer account
changedAtWhen the customer account was last changed. ISO 8601 date format
changedByWho changed the customer account.
isDefaultTrue if the account is the default account for the customer
Get profile by customer account id
Get profile by customer account id
path Parameters
accountIdHeaders
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Get profile by customer account id › Responses
OK
changedAtWhen the customer was last changed. ISO 8601 date format
changedByWho last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR
changedByChannelWhich sales channel or system who last changed the customer. Used for traceability in accordance with GDPR
createdAtWhen the customer was created. ISO 8601 date format
createdByWho created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR
createdByChannelWhich sales channel or system who created the customer. Used for traceability in accordance with GDPR
customerNumberCustomer number.
firstNameFirst and middle name.
organisationIdThe organisation the customer is registered with.
profileTypeType of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.
statusCustomer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.
surnameSurname.
uuidA universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant
countryCodeTelephone number country code, starting with +.
customerAccountIdCustomer account id used for account based ticketing
Customer accounts used for account based ticketing
The legacy consents connected to the customer.
customerRefOptional customer reference. Defaults to customer number if not set.
Date as object
Date as object
The ecards connected to the customer.
emailContact email. May become different from username
emailOldWhen customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.
emailVerifiedAtWhen the email was verified. ISO 8601 date format
expirationDateThe date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format
landlineNumberLandline telephone number.
languagePreferenceISO6393Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.
lastSignInAtWhen the customer last signed in. ISO 8601 date format
lastSignInFromWhere the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.
nationalityThe customers nationality. ISO 3166-1 alpha-3 format
parentIdId of the parent customer. Used to connect different customer types.
The personnel tickets connected to the customer. Deprecated. Does not contain updated information.
The postal addresses connected to the customer.
The preferences connected to the customer.
relatedCustomerNumbersThe customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems
telephoneNumberDeprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.
telephoneNumberNoCountryCodeTelephone number without country code or punctuation.
telephoneNumberVerifiedAtWhen the telephone number was verified. ISO 8601 date format
usernameUsername the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)
vippsIdVipps unique user identifier
The consents connected to the customer. Deprecated
idCustomer id. Deprecated
languagePreferenceDeprecated, please use languagePreferenceISO6393. Which language the customer wants information in. Default is 'NO'.
Deprecated. The notes connected to the customer.